% Finds the parameters a, b for the linear fit y=a*x+b for the data x, y

% Picks N points along the y=slope*x+offset line with added noise
N=100;
slope=2; offset=20;
x=(1:N)+rand(1,N);
y=slope*x + offset + 80*(rand(1,N)-0.5);

% Applying the formula
xm=sum(x)/length(x);
ym=sum(y)/length(y);
a=((x-xm)*(y-ym).')/sum((x-xm).^2);
b=ym-a*xm;

% Checking the result. (a, b) should be close to (slope, offset)
slope
a
offset
b
plot(x,a*x+b,x,y,'*')