% Calculates the mean and standard deviation with three different methods
% and compares them

% Sets a big list or random numbers uniformly distributed between 0 and 1
list=rand(1,1E8);

% Mean m, naive element-by-element method straight from the definition
tic
s=0;
for ii=1:length(list)
    s=s+list(ii);
end
m=s/length(list)
toc

% Mean m, using the sum built-in function
tic
m=sum(list)/length(list)
toc

% Mean m, using the built-in function
tic
m=mean(list)
toc

% Standard deviation sd, naive element-by-element method straight from the definition
tic
s=0;
for ii=1:length(list)
    s=s+(list(ii)-m)^2;
end
sd=sqrt(s/length(list))
toc

% Standard deviation sd, using vectorized built-in functions
tic
sd=sqrt(sum((list-m).^2)/length(list))
toc

% Standard deviation sd, using the built-in function
tic
std(list,1)
toc
