function [m,c] = linearplanefit(croptop,cropbot,itop,ibot)
%function for creating a linear plane fit to adjust for "tilt" in EM data
%output is the gradient m, intercept c, and other data (currently unused),
%i.e. y=mx+c

%create mean for each row of data:
meantops=transpose(mean(croptop,2));
meanbots=transpose(mean(cropbot,2));
%Here, x==y(image), y==z(image):
y=[meantops,meanbots];
x=[itop(3):itop(4),ibot(3):ibot(4)];
%fit data
p = polyfit(x,y,1);
m=p(1);
c=p(2);

end